[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# Register

Register the components provided by this unit or package, so that they can be instantiated.

## Declaration

Source position: controls.pp line 2400

`procedure Register;`

## Description

Also can be used to register the controls required by an application.[?]

## See also

#rtl.classes.registercomponents

The latest version of this document can be found at lazarus-ccr.sourceforge.net.